summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-06-08 00:39:47 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-06-08 00:39:47 +0000
commit3d9997e1efa213bf85e56beb2a0ccd53bfff391b (patch)
tree5332d4c42f7a6ab55d1c3224af96aa3648705a74 /dev-python
parent344e024bff535a65b53deff58cd1dd14d3e7340b (diff)
downloadbaldeagleos-repo-3d9997e1efa213bf85e56beb2a0ccd53bfff391b.tar.gz
baldeagleos-repo-3d9997e1efa213bf85e56beb2a0ccd53bfff391b.tar.xz
baldeagleos-repo-3d9997e1efa213bf85e56beb2a0ccd53bfff391b.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/dbus-next/dbus-next-0.2.3-r1.ebuild2
-rw-r--r--dev-python/discogs-client/discogs-client-2.3.14.ebuild2
-rw-r--r--dev-python/discogs-client/discogs-client-9999.ebuild3
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.47.0.ebuild73
-rw-r--r--dev-python/mkdocs-material/Manifest1
-rw-r--r--dev-python/mkdocs-material/mkdocs-material-8.3.3.ebuild41
-rw-r--r--dev-python/pipenv/Manifest1
-rw-r--r--dev-python/pipenv/pipenv-2022.6.7.ebuild89
-rw-r--r--dev-python/pytest-codeblocks/Manifest1
-rw-r--r--dev-python/pytest-codeblocks/pytest-codeblocks-0.16.0.ebuild33
-rw-r--r--dev-python/tlsh/Manifest1
-rw-r--r--dev-python/tlsh/files/tlsh-4.8.2-setup-sources.patch30
-rw-r--r--dev-python/tlsh/metadata.xml14
-rw-r--r--dev-python/tlsh/tlsh-4.8.2.ebuild33
-rw-r--r--dev-python/zope-component/zope-component-5.0.1.ebuild2
-rw-r--r--dev-python/zope-hookable/zope-hookable-5.1.0.ebuild2
17 files changed, 324 insertions, 5 deletions
diff --git a/dev-python/dbus-next/dbus-next-0.2.3-r1.ebuild b/dev-python/dbus-next/dbus-next-0.2.3-r1.ebuild
index 2a54974ae1c7..f5773df42785 100644
--- a/dev-python/dbus-next/dbus-next-0.2.3-r1.ebuild
+++ b/dev-python/dbus-next/dbus-next-0.2.3-r1.ebuild
@@ -14,7 +14,7 @@ S="${WORKDIR}"/python-${P}
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~x86"
BDEPEND="test? (
dev-python/pygobject[${PYTHON_USEDEP}]
diff --git a/dev-python/discogs-client/discogs-client-2.3.14.ebuild b/dev-python/discogs-client/discogs-client-2.3.14.ebuild
index 9c8d5f2809f4..e534653e2d70 100644
--- a/dev-python/discogs-client/discogs-client-2.3.14.ebuild
+++ b/dev-python/discogs-client/discogs-client-2.3.14.ebuild
@@ -8,7 +8,7 @@ PYTHON_COMPAT=( python3_{7,8,9,10} )
inherit distutils-r1
-if [[ ${PV} == "9999" ]]; then
+if [[ ${PV} == 9999 ]]; then
EGIT_REPO_URI="https://github.com/joalla/discogs_client.git"
inherit git-r3
else
diff --git a/dev-python/discogs-client/discogs-client-9999.ebuild b/dev-python/discogs-client/discogs-client-9999.ebuild
index aa5169301de2..419609d2cb4c 100644
--- a/dev-python/discogs-client/discogs-client-9999.ebuild
+++ b/dev-python/discogs-client/discogs-client-9999.ebuild
@@ -5,9 +5,10 @@ EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{7,8,9,10} )
+
inherit distutils-r1
-if [[ ${PV} == "9999" ]]; then
+if [[ ${PV} == 9999 ]]; then
EGIT_REPO_URI="https://github.com/joalla/discogs_client.git"
inherit git-r3
else
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 1afa52ee5c62..ed6cf161d66a 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -1,4 +1,5 @@
DIST hypothesis-hypothesis-python-6.46.11.gh.tar.gz 9312248 BLAKE2B 78b5ca5bd38bd62d2fe50ab929df075e253c059aed329d6b52051fb01449f8de84ae340ba42a4af94ef592411139a45d34aad232fe4bb2d8412165730bbeca01 SHA512 6fdd54f28d275eb65a4f6e6919437d503eba6254c25e22298c34ac67e6de03cd99a5178b1a475b1da7f7afeed8406e89c20b4818436143f442222d26f0d94796
+DIST hypothesis-hypothesis-python-6.47.0.gh.tar.gz 9313488 BLAKE2B 2b778d5d6d43f12ee57e05af2c0914ed8b5468235be331ee80624069d64ffe7cce299dd70d1777a4139d3d2590f64dca8b0fa515039dd43cc13bda3dacb5b76d SHA512 4502add489e2fbee8bcced0f7f65ea1015a40c7811133bc9b0979c2e46749c477bc29889e0be2be1bbb240afe96867160c2991b531591ea1e72fdf9d759da6f0
DIST hypothesis-python-6.46.2.tar.gz 9305176 BLAKE2B 7d0abe4fc055eeb4660efbba9900b43209cc5ef1fd7b2362545e0d4145837cb7779cdf96c96cdd3770c1605ec8104818ece5cd012a90b164ab8ab63709d1c911 SHA512 207b4202aa36a28891c8051009ee6b8b6a8f0823840db7e4fc6840ebe6455060340f16f7e2e25bc5ad2adca1ff7fd8b58668ec2ca355b4579ec03aac616e786d
DIST hypothesis-python-6.46.3.tar.gz 9306685 BLAKE2B a26c08361a7a58d8de8d8458a73c5c3c57f04dd2008ab31e604f0addc18fb7a52a7f4a98318498b398cd1ac5d2d718fd722c4d17e0b6ef326e0457355fda7482 SHA512 d55c3c4a57d18aa7f6d876123b09bcab32d508f5aa40048f2db7f0cab3948ebb6fab5f12d291ae4740cdd1c61c2d612c1ce804028bb59914efc132404224d1ee
DIST hypothesis-python-6.46.7.tar.gz 9308855 BLAKE2B a26cd556bb56ff5a09987e7e4a9a46e966f26106376a4b5e481a933495f21c4a69dff0d68aa8d2006fc42794392eca35b4b68cb88e0d4695ecfe3bfe2098e9b6 SHA512 239343424df13db419bfc9057f9024ab8360cace07a0cf7d592744afa76fff54d5c30a0b7fecb41c642d034b2327feef7bec78840df25793727ce30be1aa7ef9
diff --git a/dev-python/hypothesis/hypothesis-6.47.0.ebuild b/dev-python/hypothesis/hypothesis-6.47.0.ebuild
new file mode 100644
index 000000000000..0dd5c5134055
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.47.0.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,pytest_forked,_hypothesis_pytestplugin
+
+ epytest tests/cover tests/pytest tests/quality -n "$(makeopts_jobs)"
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/mkdocs-material/Manifest b/dev-python/mkdocs-material/Manifest
index f1d729a9316e..a81bd69c7738 100644
--- a/dev-python/mkdocs-material/Manifest
+++ b/dev-python/mkdocs-material/Manifest
@@ -1,3 +1,4 @@
DIST mkdocs-material-8.2.15.gh.tar.gz 8337955 BLAKE2B 542871c9be9c67c83a0b62d3bb61c10628bf0fb4bd380b75e8263d566ff3cedb97e208993f3e8141d4a641f3afbf6d0db7b1962d407ab6162bfdb87065406db9 SHA512 fdc57e173678a7910d48fad94779864bbf65ce817700ca325eec9121c18f7cf2bf8e29ca64bc6f9a62f5bcd60a15cbe815edd320d2771f1a8d247099ed5d5ce3
DIST mkdocs-material-8.2.16.gh.tar.gz 8358163 BLAKE2B f3102be342d697e462c798fe8227febd7f3ec99fcd9791dde96103ec39f9ec86c68c8682170b48e1bf56e03d4be45fa6cd372b1b4391ef4ecbd1bef2866d3e90 SHA512 4ebc03e2b9954e3d64c1837b20df7c85d610ffa63303ba07e5f42ae680777fd577b1aa4744732352da6bfab4f70e2ca17afeb092d3a494f3e0a7c5f7b2149fb7
DIST mkdocs-material-8.2.8.gh.tar.gz 8304608 BLAKE2B ff44912e812a32c7bc99fb7a07178864a952ecfbe953fe8e4d06188e2cf79f87276a881aeba1b2e5b5c290b4e12afa72761b35988290b7039163c643ec51c154 SHA512 fd2308f78c2dfff81d917f958903fee44fdd214a209464c4279d399812a686a26084e40367b0809889f682adfe5d1fe3b4707dc206621f3aa216be59e13d5d0a
+DIST mkdocs-material-8.3.3.gh.tar.gz 8283580 BLAKE2B aa6dc9e07b0a7fcb6fd598f4bef37a2c3b00ee4260bf6b2fe088dfc9e8c1468f8ec50767d41ddebad0c32a193669e560bbeb835684e5c8451d5985637038a1f9 SHA512 ed3bf417b8c9f2da9f198fd7079ffca3c1bf9f6f455c1c03fb4b3b566ffdc95be6b39d4f47590eca74610b2a0efb34dacf50ad2c2c4f9cca4e18079d584a7128
diff --git a/dev-python/mkdocs-material/mkdocs-material-8.3.3.ebuild b/dev-python/mkdocs-material/mkdocs-material-8.3.3.ebuild
new file mode 100644
index 000000000000..c6c3069f44ba
--- /dev/null
+++ b/dev-python/mkdocs-material/mkdocs-material-8.3.3.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ dev-python/mkdocs-material-extensions
+ dev-python/mkdocs-minify-plugin
+ dev-python/mkdocs-redirects
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="A Material Design theme for MkDocs"
+HOMEPAGE="
+ https://github.com/squidfunk/mkdocs-material/
+ https://pypi.org/project/mkdocs-material/
+"
+SRC_URI="
+ https://github.com/squidfunk/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/jinja-2.11.1[${PYTHON_USEDEP}]
+ >=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.12[${PYTHON_USEDEP}]
+ >=dev-python/pymdown-extensions-9.4[${PYTHON_USEDEP}]
+"
+
+# mkdocs-material-extensions depends on mkdocs-material creating a circular dep
+PDEPEND=">=dev-python/mkdocs-material-extensions-1.0.3[${PYTHON_USEDEP}]"
diff --git a/dev-python/pipenv/Manifest b/dev-python/pipenv/Manifest
index 6c77eca04a67..cf5afa0be2cb 100644
--- a/dev-python/pipenv/Manifest
+++ b/dev-python/pipenv/Manifest
@@ -1,2 +1,3 @@
DIST pipenv-2022.4.8.tar.gz 11822017 BLAKE2B b647bf5dbbdb6a38ace41bc58c3178199c0c7cada826f18d0f58c6f3cd60290fa714ca434d19cf468cf316d51ac0895460cb007d677b53462a7efc86f3d3bb2e SHA512 8c0ed65b9431b785f86bc4fa0a0a55d96228ed2f9483805536fa3056853dbfabeac02578f694e9a3f2e00be579183d10dcbb957fb834d475e1621de6a05ebd2e
DIST pipenv-2022.5.2.tar.gz 12254831 BLAKE2B 36bbf7621be18a639a3460b46cb9522e611939c060fb215406b180d0e0ae8a6582e9cb98560b09b2c95f690dbd8cfd2d10eb7709955cf5f8bf52775dfae1f445 SHA512 0c0fcaf14046cb0d75cb9c260408683b53d6a5e5f2c20c4f73cc20c21af054ac2f18d3c616bfebf18dd6ad02731dadcc0efa85f861643c5ce7dc16d61e9d1983
+DIST pipenv-2022.6.7.gh.tar.gz 12253349 BLAKE2B d1efa1a6e38727c5b5d26c6ec6ad6dfb904ff1e8aed93416ac5bb470d87db0a8583fec8552bc53ee0277e4e7abf7d0a1068a9a3c5dfa2260dfcd0890748df4ae SHA512 2b9c42bd88d8643d07f2eb375040b5b26a88980f5f6e4ee8e99bcbbc17ab268f6dbfa582d1974d2cbfd18691dd06d8b9e3b6c25cec17d64fa3e5541529fe05fc
diff --git a/dev-python/pipenv/pipenv-2022.6.7.ebuild b/dev-python/pipenv/pipenv-2022.6.7.ebuild
new file mode 100644
index 000000000000..cd3d8e248183
--- /dev/null
+++ b/dev-python/pipenv/pipenv-2022.6.7.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1 multiprocessing
+
+MY_PV=${PV/_beta/b}
+DESCRIPTION="Python Development Workflow for Humans"
+HOMEPAGE="https://github.com/pypa/pipenv https://pypi.org/project/pipenv/"
+SRC_URI="https://github.com/pypa/pipenv/archive/v${MY_PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}"/${PN}-${MY_PV}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/attrs[${PYTHON_USEDEP}]
+ dev-python/cached-property[${PYTHON_USEDEP}]
+ >=dev-python/cerberus-1.3.2[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.4.4[${PYTHON_USEDEP}]
+ >=dev-python/idna-3.2[${PYTHON_USEDEP}]
+ dev-python/iso8601[${PYTHON_USEDEP}]
+ >=dev-python/pexpect-4.8.0[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.2[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-20.0.35[${PYTHON_USEDEP}]
+ dev-python/virtualenv-clone[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.26.0[${PYTHON_USEDEP}]
+ dev-python/toml[${PYTHON_USEDEP}]
+ >=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.26.7[${PYTHON_USEDEP}]
+ >=dev-python/wheel-0.36.0[${PYTHON_USEDEP}]
+ >=dev-python/zipp-3.6.0[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+# IMPORTANT: The following sed command patches the vendor direcotry
+# in the pipenv source. Attempts to simply bump the version of the
+# package without checking that it works is likely to fail
+# The vendored packages should eventually all be removed
+# see: https://bugs.gentoo.org/717666
+src_prepare() {
+ local pkgName
+ local jobs=$(makeopts_jobs)
+ local packages=( attr cerberus cached_property click colorama idna iso8601 pexpect dateutil requests toml tomli urllib3 zipp )
+ for pkgName in ${packages[@]}; do
+ find ./ -type f -print0 | \
+ xargs --max-procs="${jobs}" --null \
+ sed --in-place \
+ -e "s/from pipenv.vendor import ${pkgName}/import ${pkgName}/g" \
+ -e "s/from pipenv.vendor.${pkgName}\(.*\) import \(\w*\)/from ${pkgName}\1 import \2/g"\
+ -e "s/import pipenv.vendor.${pkgName} as ${pkgName}/import ${pkgName}/g" \
+ -e "s/from .vendor import ${pkgName}/import ${pkgName}/g" || die "Failed to sed for ${pkgName}"
+ done
+
+ distutils-r1_src_prepare
+
+ # remove vendored versions
+ for pkgName in ${packages[@]}; do
+ find ./pipenv/vendor -regextype posix-extended -regex ".*${pkgName}$" -prune -exec rm -rvf {} + || die
+ # package names can be foo-bar, their module will be however foo_bar
+ find ./pipenv/vendor -regextype posix-extended -regex ".*${pkgName/_/-}" -prune -exec rm -rvf {} + || die
+ done
+
+ find ./pipenv/vendor -regextype posix-extended -regex '.*cached[_-]property.*' -prune -exec rm -rvf {} + || die
+
+ # not actually used by pipenv, but included in pipenv
+ rm -vR "${S}/${PN}/vendor/wheel/" || die
+}
+
+python_test() {
+ epytest -m "not cli and not needs_internet" tests/unit/
+}
diff --git a/dev-python/pytest-codeblocks/Manifest b/dev-python/pytest-codeblocks/Manifest
index 2d57f8afc9bd..512bb993b050 100644
--- a/dev-python/pytest-codeblocks/Manifest
+++ b/dev-python/pytest-codeblocks/Manifest
@@ -1 +1,2 @@
DIST pytest-codeblocks-0.15.0.tar.gz 8559 BLAKE2B 0f8cf91d333e233e480353ab55283f9d97af17e5265f7a9e6db5c7cd98aaf6075b33a44e850aad21de5112fcc233fe7f65e23710f6b1804a85fd6269d042c406 SHA512 57d14aefc0cd49aa1b8fc54dfaec47965d4b1c867cad78ba9e8fd53da85898b7eac303ac402abe10b2d63d7621979bb8bad91f66f1e264568d56f4ff70488021
+DIST pytest-codeblocks-0.16.0.gh.tar.gz 8781 BLAKE2B f6146c78cc8b2bca88533e6a1f18a1abf7af6dc028dc07c37878656b29eb3dc5a838b64791587d9b2888fab00f5ccb2f3c392b7f8d80fbfe7576450e126b1cb3 SHA512 e841ed11c8cd8e73b888bdee3ceda82193e0ed0441d623c586c69c45412039656a09e9f872f187c72d4e245ac8ee99b4a099ed9ae1a13f88f564bc0b9fae69f6
diff --git a/dev-python/pytest-codeblocks/pytest-codeblocks-0.16.0.ebuild b/dev-python/pytest-codeblocks/pytest-codeblocks-0.16.0.ebuild
new file mode 100644
index 000000000000..5759a2c965d6
--- /dev/null
+++ b/dev-python/pytest-codeblocks/pytest-codeblocks-0.16.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2019-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Extract code blocks from markdown"
+HOMEPAGE="
+ https://github.com/nschloe/pytest-codeblocks/
+ https://pypi.org/project/pytest_codeblocks/
+"
+SRC_URI="
+ https://github.com/nschloe/pytest-codeblocks/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/pytest-7.0.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest -p pytester
+}
diff --git a/dev-python/tlsh/Manifest b/dev-python/tlsh/Manifest
new file mode 100644
index 000000000000..2425a1db29ee
--- /dev/null
+++ b/dev-python/tlsh/Manifest
@@ -0,0 +1 @@
+DIST tlsh-4.8.2.tar.gz 3345458 BLAKE2B 27d5eece16bb36225b9ae8b3d3a9d055a0f214fffae08a58c39211c3d918dd842497315a62237b291ee1055dfadad78826bbd24f7b9d88f510e9a31f74654039 SHA512 5355c7734f5356a3a7a31ccc078254835871fc0369f1889a34131a0f810735201c68f674eb18e975b6a03a32e5c284899ca9ffdc1f583e42192188c172d2aad0
diff --git a/dev-python/tlsh/files/tlsh-4.8.2-setup-sources.patch b/dev-python/tlsh/files/tlsh-4.8.2-setup-sources.patch
new file mode 100644
index 000000000000..4cdb0f864b5b
--- /dev/null
+++ b/dev-python/tlsh/files/tlsh-4.8.2-setup-sources.patch
@@ -0,0 +1,30 @@
+--- a/setup.py
++++ b/setup.py
+@@ -21,26 +21,7 @@ with open(join(realpath('..'), 'CMakeLists.txt'), 'r') as f:
+ if m:
+ tlsh_3b = ''
+
+-if os.name == 'nt':
+- tlsh_module = Extension('tlsh', \
+- sources = ['tlshmodule.cpp', \
+- join(realpath('..'), 'src', 'tlsh.cpp'), \
+- join(realpath('..'), 'src', 'tlsh_impl.cpp'), \
+- join(realpath('..'), 'src', 'tlsh_util.cpp') \
+- ], \
+- include_dirs = [join(realpath('..'), 'include'),
+- join(realpath('..'), 'Windows')],\
+- define_macros = [('WINDOWS', None),], \
+- )
+-else:
+- tlsh_module = Extension('tlsh', \
+- sources = ['tlshmodule.cpp', \
+- join(realpath('..'), 'src', 'tlsh.cpp'), \
+- join(realpath('..'), 'src', 'tlsh_impl.cpp'), \
+- join(realpath('..'), 'src', 'tlsh_util.cpp') \
+- ], \
+- include_dirs = [join(realpath('..'), 'include')],
+- )
++tlsh_module = Extension('tlsh', sources=['tlshmodule.cpp'], libraries=['tlsh'])
+
+ if tlsh_256 != '':
+ tlsh_module.extra_compile_args.append(tlsh_256)
diff --git a/dev-python/tlsh/metadata.xml b/dev-python/tlsh/metadata.xml
new file mode 100644
index 000000000000..dfce1e34fd0b
--- /dev/null
+++ b/dev-python/tlsh/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>t@laumann.xyz</email>
+ <name>Thomas Bracht Laumann Jespersen</name>
+ </maintainer>
+ <maintainer type="person">
+ <email>sam@gentoo.org</email>
+ <name>Sam James</name>
+ </maintainer>
+
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/tlsh/tlsh-4.8.2.ebuild b/dev-python/tlsh/tlsh-4.8.2.ebuild
new file mode 100644
index 000000000000..c087e8f35de5
--- /dev/null
+++ b/dev-python/tlsh/tlsh-4.8.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Fuzzy matching library - C++ extension for Python"
+HOMEPAGE="https://pypi.org/project/python-tlsh/"
+SRC_URI="https://github.com/trendmicro/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+S=${WORKDIR}/${P}/py_ext
+
+LICENSE="|| ( Apache-2.0 BSD )"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="dev-libs/tlsh"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-setup-sources.patch
+)
+
+src_prepare() {
+ distutils-r1_src_prepare
+ sed -i -e 's:#include "tlsh.h":#include <tlsh/tlsh.h>:' tlshmodule.cpp || die
+}
+
+python_test() {
+ "${EPYTHON}" test.py test.py test.py &> /dev/null || die
+}
diff --git a/dev-python/zope-component/zope-component-5.0.1.ebuild b/dev-python/zope-component/zope-component-5.0.1.ebuild
index a8f468e15cc8..dcaf99fd17fd 100644
--- a/dev-python/zope-component/zope-component-5.0.1.ebuild
+++ b/dev-python/zope-component/zope-component-5.0.1.ebuild
@@ -20,7 +20,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="ZPL"
SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~ppc64 ~riscv"
+KEYWORDS="amd64 ~arm arm64 ~ppc64 ~riscv ~x86"
RDEPEND="
dev-python/zope-event[${PYTHON_USEDEP}]
diff --git a/dev-python/zope-hookable/zope-hookable-5.1.0.ebuild b/dev-python/zope-hookable/zope-hookable-5.1.0.ebuild
index 95bbe5104fa7..10c106697ac5 100644
--- a/dev-python/zope-hookable/zope-hookable-5.1.0.ebuild
+++ b/dev-python/zope-hookable/zope-hookable-5.1.0.ebuild
@@ -21,7 +21,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="ZPL"
SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~ppc64 ~riscv"
+KEYWORDS="amd64 ~arm arm64 ~ppc64 ~riscv ~x86"
BDEPEND="
test? (